Subject: Re: [PATCH 2.6.14-rc5 1/1] : mv643xx_eth_pcidev - implements hotplug for the marvell gige functionality by probing the northbridge pci id.

From: Sven Luther <[email-masked]>
Date: Mon, 31 Oct 2005 22:21:28 +0100

On Mon, Oct 31, 2005 at 12:05:24PM -0700, Mark A. Greer wrote:
> On Sat, Oct 29, 2005 at 02:56:41PM +1000, Paul Mackerras wrote:
> > Sven Luther writes:
> > 
> > > +static struct pci_device_id pci_marvell_mv64360[] = {
> > > +	{ PCI_DEVICE(PCI_VENDOR_ID_MARVELL, PCI_DEVICE_ID_MARVELL_MV64360) },
> > 
> > Are there other devices in this northbridge whose drivers might also
> > want to bind to this PCI id?
> > 
> > What other devices does this northbridge contain?
> 
> It does have a PIC, DMA engine, and SRAM that Sven mentioned but there
> are also a serial controller (MPSC), an i2c controller, and a watchdog
> timer.  I would guess that the MPSC and i2c drivers, at least, should
> use MODULE_DEVICE_TABLE.  If you agree, I'll add it to the list.

Yeah, forgot those, we don't use them on the pegasos though. 

Friendly,

Sven Luther